%% ----------------------------------------------------------------
%% Sear.tex -- MAIN FILE (the one that you compile with LaTeX)
%% ---------------------------------------------------------------- 

% Set up the document
\documentclass[a4paper, 11pt, oneside]{Seminar}  % Use the "Seminar" style, based on the ECS Thesis style by Steve Gunn
\renewcommand{\familydefault}{\sfdefault} % Use sans-serif
\usepackage{helvet} % Helvetica font

\graphicspath{Figures/}  % Location of the graphics files (set up for graphics to be in PDF format)

% Include any extra LaTeX packages required
\usepackage[square, numbers, comma, sort&compress]{natbib}  % Use the "Natbib" style for the references in the Bibliography
\usepackage{verbatim}  % Needed for the "comment" environment to make LaTeX comments
\usepackage{vector}  % Allows "\bvec{}" and "\buvec{}" for "blackboard" style bold vectors in maths
\hypersetup{urlcolor=blue, colorlinks=true}  % Colours hyperlinks in blue, but this can be distracting if there are many links.
\usepackage{tikz} % Needed for drawin pictures
\usepackage[export]{adjustbox} % to include a graphic on the left or right
\usepackage{float} % to place images where they should be

\definecolor{shadecolor}{RGB}{180, 180, 180}

%% suppress warnings Underful and Overful
%% https://tex.stackexchange.com/a/395370
\hbadness=99999
\hfuzz=9999pt

\pagestyle{fancy}
\renewcommand\chaptermark[1]{\markboth{#1}{}}
\fancyhf{}
\fancyhead[L]{\emph\leftmark}
\fancyhead[R]{\thepage}

%% ----------------------------------------------------------------
\begin{document}
\frontmatter      % Begin Roman style (i, ii, iii, iv...) page numbering

\input{Titlepage/Titlepage}

%% ----------------------------------------------------------------

\setstretch{1.2}  % It is better to have smaller font and larger line spacing than the other way round

% The Abstract Page
\addtotoc{Abstract}  % Add the "Abstract" page entry to the Contents
\abstract{
\addtocontents{toc}{\vspace{1em}}  % Add a gap in the Contents, for aesthetics

\input{Abstract/Abstract_de}
\\\\
\input{Abstract/Abstract_en}

}

\clearpage  % Abstract ended, start a new page
%% ----------------------------------------------------------------

% The Acknowledgements page, for thanking everyone
\acknowledgements{
\addtocontents{toc}{\vspace{1em}}  % Add a gap in the Contents, for aesthetics

\input{Acknowledgements/Acknowledgements}

}
\clearpage  % End of the Acknowledgements
%% ----------------------------------------------------------------


%% ----------------------------------------------------------------
\setcounter{tocdepth}{1}
\tableofcontents  % Write out the Table of Contents

%% ----------------------------------------------------------------
\mainmatter	  % Begin normal, numeric (1,2,3...) page numbering


\input{Chapters/Introduction}

% Praxis part
\input{Chapters/DataImport}

\input{Chapters/Benchmark}

%\lhead{\emph{Presentations}}
%\input{Chapters/Presentations}

\input{Chapters/Conclusion}

%% ----------------------------------------------------------------
\listoffigures  % Write out the List of Figures

%% ----------------------------------------------------------------
% Now begin the Appendices, including them as separate files

\addtocontents{toc}{\vspace{2em}} % Add a gap in the Contents, for aesthetics

\appendix % Cue to tell LaTeX that the following 'chapters' are Appendices

\lhead{\emph{Appendix}}
\chapter{Installation}

\input{Chapters/Installation}

\newpage
\chapter{Queries}
\input{Appendices/queries/join-order-benchmark/queries}
\chapter{Benchmark}
\input{Appendices/output}
\input{Appendices/ToolsAndFrameworks}

\addtocontents{toc}{\vspace{2em}}  % Add a gap in the Contents, for aesthetics
\backmatter

%% ----------------------------------------------------------------
\label{Bibliography}
\lhead{\emph{Bibliography}}  % Change the left side page header to "Bibliography"
\bibliographystyle{unsrtnat}  % Use the "unsrtnat" BibTeX style for formatting the Bibliography
\bibliography{Bibliography}  % The references (bibliography) information are stored in the file named "Bibliography.bib"

\end{document}  % The End
%% ----------------------------------------------------------------